<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: tests/oauth.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('oauth_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">oauth.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#ifndef LIBRARYMGR_TESTS_OAUTH_H</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#define LIBRARYMGR_TESTS_OAUTH_H</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;assert.h&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;QString&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &quot;../auth/OAuth/OAuth.h&quot;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keywordtype">int</span> testOAuth() {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <a class="code" href="class_o_auth.html">OAuth</a> auth;  <span class="comment">// empty database</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <a class="code" href="class_o_auth_id.html">OAuthId</a> user(QString::fromStdString(<span class="stringliteral">&quot;bepi@sugaman.com&quot;</span>), QString::fromStdString(<span class="stringliteral">&quot;1&quot;</span>));  <span class="comment">// create user</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    auth.<a class="code" href="class_o_auth.html#a44a68aa042340863ba1ab54eb02a3aca">addId</a>(user);  <span class="comment">// add user to database</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    assert(!auth.<a class="code" href="class_o_auth.html#ad1fd304b1233bf1e3829f897c8413280">wrongUser</a>(user));</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    assert(!auth.<a class="code" href="class_o_auth.html#a5cce8a3b92e7d98d8c25adbeb9c3cde7">wrongPassword</a>(user));</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    assert(auth.<a class="code" href="class_o_auth.html#a370cfa3a6c5e099ea831aa47cd0bec2e">authenticate</a>(user));</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <a class="code" href="class_o_auth_id.html">OAuthId</a> nonAuthenticatedUser(QString::fromStdString(<span class="stringliteral">&quot;bepi&quot;</span>), QString::fromStdString(<span class="stringliteral">&quot;1&quot;</span>));</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    assert(auth.<a class="code" href="class_o_auth.html#ad1fd304b1233bf1e3829f897c8413280">wrongUser</a>(nonAuthenticatedUser));</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    assert(!auth.<a class="code" href="class_o_auth.html#a5cce8a3b92e7d98d8c25adbeb9c3cde7">wrongPassword</a>(nonAuthenticatedUser));</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    assert(!auth.<a class="code" href="class_o_auth.html#a370cfa3a6c5e099ea831aa47cd0bec2e">authenticate</a>(nonAuthenticatedUser));</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    auth.<a class="code" href="class_o_auth.html#a4e37754724323a2b0e2dadab12ecc71d">removeId</a>(user);  <span class="comment">// remove user</span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    assert(auth.<a class="code" href="class_o_auth.html#ad1fd304b1233bf1e3829f897c8413280">wrongUser</a>(user));</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    assert(!auth.<a class="code" href="class_o_auth.html#a5cce8a3b92e7d98d8c25adbeb9c3cde7">wrongPassword</a>(user));</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    assert(!auth.<a class="code" href="class_o_auth.html#a370cfa3a6c5e099ea831aa47cd0bec2e">authenticate</a>(user));</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keywordflow">return</span> 0;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;}</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="preprocessor">#endif  //LIBRARYMGR_TESTS_OAUTH_H</span></div><div class="ttc" id="class_o_auth_html_a4e37754724323a2b0e2dadab12ecc71d"><div class="ttname"><a href="class_o_auth.html#a4e37754724323a2b0e2dadab12ecc71d">OAuth::removeId</a></div><div class="ttdeci">bool removeId(OAuthId id)</div><div class="ttdef"><b>Definition:</b> OAuth.cpp:51</div></div>
<div class="ttc" id="class_o_auth_html_ad1fd304b1233bf1e3829f897c8413280"><div class="ttname"><a href="class_o_auth.html#ad1fd304b1233bf1e3829f897c8413280">OAuth::wrongUser</a></div><div class="ttdeci">bool wrongUser(OAuthId id)</div><div class="ttdef"><b>Definition:</b> OAuth.cpp:28</div></div>
<div class="ttc" id="class_o_auth_html_a44a68aa042340863ba1ab54eb02a3aca"><div class="ttname"><a href="class_o_auth.html#a44a68aa042340863ba1ab54eb02a3aca">OAuth::addId</a></div><div class="ttdeci">bool addId(OAuthId id)</div><div class="ttdef"><b>Definition:</b> OAuth.cpp:42</div></div>
<div class="ttc" id="class_o_auth_html"><div class="ttname"><a href="class_o_auth.html">OAuth</a></div><div class="ttdef"><b>Definition:</b> OAuth.h:30</div></div>
<div class="ttc" id="class_o_auth_html_a370cfa3a6c5e099ea831aa47cd0bec2e"><div class="ttname"><a href="class_o_auth.html#a370cfa3a6c5e099ea831aa47cd0bec2e">OAuth::authenticate</a></div><div class="ttdeci">bool authenticate(OAuthId id)</div><div class="ttdef"><b>Definition:</b> OAuth.cpp:24</div></div>
<div class="ttc" id="class_o_auth_id_html"><div class="ttname"><a href="class_o_auth_id.html">OAuthId</a></div><div class="ttdef"><b>Definition:</b> OAuthId.h:28</div></div>
<div class="ttc" id="class_o_auth_html_a5cce8a3b92e7d98d8c25adbeb9c3cde7"><div class="ttname"><a href="class_o_auth.html#a5cce8a3b92e7d98d8c25adbeb9c3cde7">OAuth::wrongPassword</a></div><div class="ttdeci">bool wrongPassword(OAuthId id)</div><div class="ttdef"><b>Definition:</b> OAuth.cpp:38</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_59425e443f801f1f2fd8bbe4959a3ccf.html">tests</a></li><li class="navelem"><b>oauth.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
